# List vendor credentials (/docs/api/access/credentials_list)

Your own vendor keys (BYOK) stored for this org: provider, slot, label, field names, the key's last four characters and its last test result. Secrets are write-only and never returned.

`GET /v1/credentials`

```json
{
  "operationId": "credentials_list",
  "summary": "List vendor credentials",
  "description": "Your own vendor keys (BYOK) stored for this org: provider, slot, label, field names, the key's last four characters and its last test result. Secrets are write-only and never returned.",
  "tags": [
    "credentials"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "credential"
                      ]
                    },
                    "id": {
                      "type": "string"
                    },
                    "provider": {
                      "type": "string"
                    },
                    "slot": {
                      "type": "string",
                      "enum": [
                        "primary",
                        "fallback"
                      ]
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "label": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "hint": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "healthy",
                        "failing",
                        "unverified"
                      ],
                      "default": "unverified"
                    },
                    "tested_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time",
                      "default": null
                    },
                    "test_message": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "last_used_at": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "date-time",
                      "default": null
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time"
                    }
                  },
                  "required": [
                    "object",
                    "id",
                    "provider",
                    "slot",
                    "fields",
                    "updated_at"
                  ]
                }
              },
              "providers": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "slug": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "testable": {
                      "type": "boolean"
                    },
                    "sandbox": {
                      "type": "boolean"
                    },
                    "auth": {
                      "type": "string",
                      "enum": [
                        "header",
                        "query",
                        "bearer",
                        "basic",
                        "rapidapi",
                        "oauth",
                        "multi",
                        "adapter"
                      ],
                      "default": "header"
                    },
                    "auth_field": {
                      "type": "string",
                      "default": "api_key"
                    },
                    "auth_name": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "rapidapi_host": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "key_url": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "format": "uri",
                      "default": null
                    },
                    "key_help": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "default": null
                    },
                    "supply": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "enum": [
                          "managed",
                          "byok",
                          "oauth"
                        ]
                      },
                      "default": [
                        "byok"
                      ]
                    }
                  },
                  "required": [
                    "slug",
                    "name",
                    "fields",
                    "testable",
                    "sandbox"
                  ]
                }
              }
            },
            "required": [
              "items",
              "providers"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
